function displayChange(data) {
    let anonymous =  document.querySelector('#anonymous');
    let user = document.querySelector('#user');
    let money = document.querySelector('#money');
    let welcome = document.querySelector('#welcome');
    if(data.code) {
       if(data.code === 4) {
           alert(data.msg);
           return
       }
       alert(data.msg);
       anonymous.style.display = 'none';
       user.style.display = 'block';
       money.innerText = `Money: ￥${data.money}`;
       welcome.innerText = `Welcome: ${data.username}`;
    }else{
        alert(data.msg);
        anonymous.style.display = 'block';
        document.querySelector('#change_btn').style.display = 'none';
        document.querySelector('#login_btn').style.display = 'block';
        document.querySelector('#password').style.display = 'block';
        document.querySelector('#lc').innerText = 'login';
        user.style.display = 'none';
        money.innerText = '';
        welcome.innerText = '';
    }
}

(function() {
    fetch('/isLogin', {
        method: 'GET'
    })
    .then(response => response.json())
    .then(data => displayChange(data));
})();

function login() {
    let username = document.querySelector("input[name=username]").value;
    let password = document.querySelector("input[name=password]").value;
    fetch('/login', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({'username': username, 'password': password})
    })
    .then(response => response.json())
    .then(data => displayChange(data));
}

function logout() {
    fetch('/logout', {
        method: 'GET'
    })
    .then(response => response.json())
    .then(data => displayChange(data));
}

function changeUsername() {
    let username = document.querySelector("input[name=username]").value;
    let anonymous =  document.querySelector('#anonymous');
    if(anonymous.style.display == 'none') {
        anonymous.style.display = 'block';
        document.querySelector('#login_btn').style.display = 'none';
        document.querySelector('#user').style.display = 'none';
        document.querySelector('#change_btn').style.display = 'block';
        document.querySelector('#password').style.display = 'none';
        document.querySelector('#lc').innerText = 'change username';
    }else{
        fetch('/changeUsername', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({'username': username})
        })
        .then(response => response.json())
        .then(data => displayChange(data));
    }
}


function buy(product) {
    fetch('/buy', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({
            'name': '/' + product.name, 
            'id': Number(product.getAttribute('idNum'))
        })
    })
    .then(response => response.json())
    .then(data => displayChange(data));
}
